Subject: Re: Programming server sockets without accept()??
From: [email-masked] (Donald Sharp)

18 Jan 1999 22:16:19 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]
Cc: [email-masked]

One can, wait for incoming data via a select() call, and 
once data is there on a socket, the accept() call can be made.
This is probably what is happening inside the x-server.

donald
At 07:58 AM 1/18/99 -0600, you wrote:
>
>Is it possible to program server-side sockets without a call to accept()?
>I asked about this in an earlier message in the context of the X Font
>Server.  This server apparently does not ever do an accept().  I was always
>under the impression that without an accept() call, that no connections
>could be made.  On the other hand, I know that accept() will block the
>current thread of execution.  This is not the model on which the X servers
>were built.  This server worked on B19, but does not work on B20 and I'm
>trying to figure out why.
>
>Can anyone offer any insight into if and how this can work?
>
>Thanks,
>Craig
>
>Craig Setera
>AS/400 Enterprise Java Development
>IBM Rochester
>[email-masked]
>(507) 253-3387 - Tie: 553-3387
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".